Bug 78147 - "asm", "typeid", "typename", "typeof" are C++ keywords
"asm", "typeid", "typename", "typeof" are C++ keywords
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
5.x
All All
: P3 (vote)
: TBD
Assigned To: Vladimir Voskresensky
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-16 15:31 UTC by soldatov
Modified: 2007-11-01 08:35 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2006-06-16 15:31:01 UTC
"asm", "typeid", "typename" are C++ Keywords
But they are not highlighted in the built in editor
Comment 1 Vladimir Voskresensky 2006-06-20 21:43:40 UTC
"typeof" is one more C++ keyword
Comment 2 Vladimir Voskresensky 2006-06-29 17:59:50 UTC
Fixed.

CVS log:
Checking in CCTokenContext.java;
/cvs/cnd/src/org/netbeans/modules/cnd/editor/cplusplus/Attic/CCTokenContext.java,v
 <--  CCTokenContext.java
new revision: 1.1.2.2; previous revision: 1.1.2.1
done
Checking in CCSyntax.java;
/cvs/cnd/src/org/netbeans/modules/cnd/editor/cplusplus/Attic/CCSyntax.java,v 
<--  CCSyntax.java
new revision: 1.1.2.2; previous revision: 1.1.2.1
Comment 3 Alexander Pepin 2007-08-06 16:19:04 UTC
typeof is not highlighted.
verified in 5.5.1_u1 CND build (20070802). 
Comment 4 Vladimir Voskresensky 2007-08-27 14:32:07 UTC
fixed
- check C++ for typeof

cvs log:
Checking in CCSyntax.java;
/cvs/cnd/core/src/org/netbeans/modules/cnd/editor/cplusplus/CCSyntax.java,v  <--  CCSyntax.java
new revision: 1.14; previous revision: 1.13
done
Comment 5 soldatov 2007-11-01 08:35:14 UTC
verified in 200710310000 build


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo